#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9B,0x2D,0x68,0x74,0xF7,0xF1,0x45,0x0D,0x4C,0x82,0x67,0xB1,
		0x06,0x8E,0x25,0xF5,0xB8,0x04,0x1F,0x89,0xF2,0xA1,0xD9,0xBE,
		0x5F,0x62,0xB9,0xCB,0x83,0x16,0x45,0x69,0x38,0xDE,0x99,0x1A,
		0x80,0x0C,0x74,0xAC,0x0B,0xC3,0xC9,0x07,0x82,0x56,0x63,0x16,
		0xBE,0xC3,0x9A,0x10,0xFF,0x84,0x66,0xB4,0xA6,0xCB,0x15,0xB0,
		0xDA,0xA7,0xA3,0xC7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
